package com.flossom.common.core.domain.entity;

import com.flossom.common.core.annotation.Excel;
import com.flossom.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 仪器与模式的关联对象 wx_instrument_mode
 *
 * @author flossom
 * @date 2024-01-17
 */
public class WxInstrumentMode extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 仪器id
     */
    @Excel(name = "仪器id")
    private Long instrumentId;

    /**
     * 模式id
     */
    @Excel(name = "模式id")
    private Long modeId;

    /**
     * 是否带new标识（0不带，1带）
     */
    private Integer isNew;

    /**
     * 排序
     */
    private Integer modeSort;

    /**
     * 状态（0正常 1停用）
     */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private Integer status;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setInstrumentId(Long instrumentId) {
        this.instrumentId = instrumentId;
    }

    public Long getInstrumentId() {
        return instrumentId;
    }

    public void setModeId(Long modeId) {
        this.modeId = modeId;
    }

    public Long getModeId() {
        return modeId;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    public Integer getModeSort() {
        return modeSort;
    }

    public void setModeSort(Integer modeSort) {
        this.modeSort = modeSort;
    }

    public Integer getIsNew() {
        return isNew;
    }

    public void setIsNew(Integer isNew) {
        this.isNew = isNew;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("instrumentId", getInstrumentId())
                .append("modeId", getModeId())
                .append("status", getStatus())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .toString();
    }
}
